import { PopupButton } from './popup-button';
import { PopupType } from '../../../core/enum/popup-type.enum';
import { PopupButtonType } from '../../../core/enum/popup-button-type.enum';
export declare class PopupSettings {
    title: string;
    autoClose: boolean;
    type: PopupType;
    buttons?: PopupButton[];
    hideCloseIcon?: boolean;
    noButtonFocus?: boolean;
    fixed?: boolean;
    downloadable?: boolean;
    constructor();
    enableButtonByType(buttonType: PopupButtonType): void;
    disableButtonByType(buttonType: PopupButtonType): void;
    enableSaveButton(): void;
    disableSaveButton(): void;
    enableOpenButton(): void;
    disableOpenButton(): void;
    private _getButtonByType;
}
